Download it now!
Bug 130690 - FILEOPEN: DOCX: non highlighted text in table is highlighted
Summary: FILEOPEN: DOCX: non highlighted text in table is highlighted
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2020-02-15 17:36 UTC by Xisco Faulí
Modified: 2020-05-19 08:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (13.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-02-15 17:36 UTC, Xisco Faulí
Details
Comparison MSO 2010 and LibreOffice 7.0 master (22.36 KB, image/png)
2020-02-15 17:36 UTC, Xisco Faulí
Details
Same problem happening with underline color when it's automatic (12.42 KB, application/vnd.oasis.opendocument.presentation)
2020-02-19 12:36 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-15 17:36:12 UTC
Created attachment 157897 [details]
Sample document

Steps to reproduce:
1. Open attached document

-> Text 'no highlight' is highlighted

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: aa58c380894dd384f6ce1efc62b3932136f2f477
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-15 17:36:52 UTC
Created attachment 157898 [details]
Comparison MSO 2010 and LibreOffice 7.0 master
Comment 2 Xisco Faulí 2020-02-15 17:38:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2ab481b038b62b1ff576ac4d49d03c1798cd7f84

author	László Németh <nemeth@numbertext.org>	2020-01-08 14:26:40 +0100
committer	László Németh <nemeth@numbertext.org>	2020-01-09 18:00:16 +0100
commit	2ab481b038b62b1ff576ac4d49d03c1798cd7f84 (patch)
tree	9739e3b799bd06ba07d8cca7ad6c8b85de75dda8
parent	79084665f0e351a3f83fdee88071919f05ec9cc3 (diff)
tdf#90069 DOCX: fix character style of new table rows

Bisected with: bibisect-linux64-6.5

Adding Cc: to László Németh
Comment 3 Xisco Faulí 2020-02-19 12:36:11 UTC Comment hidden (obsolete)
Comment 4 László Németh 2020-03-03 11:07:18 UTC
@Xisco: thanks for the report!
Comment 5 Commit Notification 2020-03-03 11:07:53 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0045b6f36e5e1445d699f87a0f6597d665b4cfe4

tdf#130690: DOCX import: fix lost text formatting in cells

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-03-04 09:42:42 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c57d6d39c80844c9d4c6bfed85cc151e52a67b34
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!